> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate-Payout-NGN

> Inititating A Transfer



## OpenAPI

````yaml /openapi/payouts.json post /transfer/payout
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /transfer/payout:
    post:
      tags:
        - ''
      summary: Initiate-Payout-NGN
      description: Inititating A Transfer
      operationId: 'local and international transfers '
      requestBody:
        description: Inititate a Transfer
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Transfer'
        required: true
      responses:
        '200':
          description: Transfer Queued Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Transfer:
      required:
        - bank_name
        - bank_code
        - account_number
        - narration
        - amount
        - currency
        - reference
        - debit_currency
      type: object
      properties:
        bank_name:
          type: string
          example: Flick
        bank_code:
          type: string
          example: '076'
        account_number:
          type: string
          example: '00011122233'
        amount:
          type: string
          example: '198772'
        narration:
          type: string
          example: What for
        currency:
          type: string
          enum:
            - NGN
          example: NGN
        beneficiary_name:
          type: string
          example: Kings Ike
        reference:
          type: string
          example: Sample_PMCK
        debit_currency:
          type: string
          enum:
            - NGN
          example: NGN
        email:
          type: string
          example: user@gmail.com
        mobile_number:
          type: string
          example: '07011221111'
        meta:
          type: object
          properties:
            key:
              type: string
              example: ''
            value:
              type: string
              example: ''
    TransferResponse:
      type: object
      properties:
        status:
          type: integer
          example: '200'
        id:
          type: string
          example: RIOJ-REWYUB
        message:
          type: string
          example: Payout queued successfully
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.